Update stream device parameters
POST
/v3/streams/{stream_id}/params
const url = 'https://api.cardio.ai/v3/streams/1/params';const options = { method: 'POST', headers: {'X-Api-Token': '<X-Api-Token>', 'Content-Type': 'application/json'}, body: '{"device_state":"WAITING_FOR_START"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.cardio.ai/v3/streams/1/params \ --header 'Content-Type: application/json' \ --header 'X-Api-Token: <X-Api-Token>' \ --data '{ "device_state": "WAITING_FOR_START" }'Updates the device state and heartbeat timestamp for a stream.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” stream_id
required
integer format: uint64
Stream identifier.
Request Body required
Section titled “Request Body required ”Stream parameter update request.
Media type application/json
Request payload for updating stream device parameters.
object
device_state
required
Current device state.
string
Responses
Section titled “ Responses ”Operation completed successfully.
Bad Request - missing or invalid parameters.
Media type application/json
string
Example generated
exampleUnauthorized - missing, expired, or invalid token.
Media type application/json
string
Example generated
exampleForbidden - the provided token is not authorized to call this endpoint.
Media type application/json
string
Example generated
exampleNot Found - requested resource does not exist or is unavailable.
Media type application/json
string
Example generated
exampleUnsupported Media Type - Content-Type must be application/json.
Media type application/json
string
Example generated
exampleToo Many Requests - rate limit exceeded.
Media type application/json
string
Example generated
example